package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.StaffManage;

import java.util.List;


/**
 * 员工管理Mapper接口
 * 
 * @author boman
 * @date 2025-02-18
 */
public interface StaffManageMapper 
{
    /**
     * 查询员工管理
     * 
     * @param staffId 员工管理主键
     * @return 员工管理
     */
    public StaffManage selectStaffManageByStaffId(Long staffId);

    /**
     * 查询员工管理列表
     * 
     * @param staffManage 员工管理
     * @return 员工管理集合
     */
    public List<StaffManage> selectStaffManageList(StaffManage staffManage);

    /**
     * 新增员工管理
     * 
     * @param staffManage 员工管理
     * @return 结果
     */
    public int insertStaffManage(StaffManage staffManage);

    /**
     * 修改员工管理
     * 
     * @param staffManage 员工管理
     * @return 结果
     */
    public int updateStaffManage(StaffManage staffManage);

    /**
     * 删除员工管理
     * 
     * @param staffId 员工管理主键
     * @return 结果
     */
    public int deleteStaffManageByStaffId(Long staffId);

    /**
     * 批量删除员工管理
     * 
     * @param staffIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStaffManageByStaffIds(Long[] staffIds);

    /**
     * 根据userId查询员工信息
     * @param userId
     * @return
     */
    public StaffManage selectStaffManageByUserId(Long userId);
}
